> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Call Recording API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

Use this API to delete voice call recordings. The response varies based on whether the execution is successful or not.

| **Method**        | DELETE                                                                                                                         |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| **Endpoint**      | `https://{{host}}/api/public/bot/{{botId}}/v2/recordings?sessionId={{sessionId}}`                                              |
| **Content Type**  | `application/json`                                                                                                             |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token) |
| **API Scope**     | Delete Recordings                                                                                                              |

## Path Parameters

| **Parameter** | **Description**                                               | **Type**         |
| ------------- | ------------------------------------------------------------- | ---------------- |
| `host`        | Environment URL, for example, `https://platform.kore.ai`      | string, required |
| `botId`       | botId or streamId. You can get it from the App Settings page. | string, required |

## Query Parameter

| **Parameter** | **Description**                                                                             | **Type**         |
| ------------- | ------------------------------------------------------------------------------------------- | ---------------- |
| `sessionId`   | The unique identifier for the session record. You can access it from the conversation logs. | string, required |

## Sample Request

```
curl --location --request DELETE 'https://{{host}}/api/1.1/public/bot/{{botID}}/recordings?sessionId=6627b9adb9af28711b78xxxx' \
--header 'auth: <token>>'
```

## Sample Response

```
{
   "message": "Call recordings deleted successfully",
   "sessionId": "66627b9adb9af28711b78xxxx"
}
```
